# Information for making the DMG

## How to make the DS_Store file needed for the DMG prettification

> ALSO SEE https://www.ej-technologies.com/resources/install4j/help/doc/#install4j.concepts.dmgStyling

```
cp ../../build/install4j/11/Jalview-OFFLINE_macos-app_DEVELOPMENT-j11.dmg ./temp.dmg

hdiutil convert temp.dmg -format UDRW -o temp_rw.dmg

CURSIZE=`hdiutil resize temp_rw.dmg | perl -n -e 'm/^\s*\d+\s+(\d+)\s+\d+$/ && print "$1\n";'`

NEWSIZE=$(( CURSIZE + 20000))

hdiutil resize -sectors $NEWSIZE temp_rw.dmg

open /Volumes/Jalview\ Installer
```

Then manually position/resize icons, extend size of Finder window, etc

```
cp /Volumes/Jalview\ Installer/.DS_Store ./DS_Store_N

umount /Volumes/Jalview\ Installer
```

## Background image

The vector version of this is made in Adobe Illustrator and saved as the pdf jalview_dmg_background_layers.pdf

This is then exported as 300dpi PNG to jalview_dmg_background_large.png

This is then converted to the right size, with DPI information removed with ImageMagick

```
convert -geometry 500x461 utils/install4j/jalview_dmg_background_large.png  -strip  utils/install4j/jalview_dmg_background.png
```
